Request
curl -X POST https://sandbox.api.lendeasy.ai/v1/servicing/tasks/$TASK_ID/complete \
-H "Authorization: Bearer $TOKEN" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"outcome": "borrower_reached",
"note": "Promise terms captured."
}'
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/tasks/${taskId}/complete`, {
method: "POST",
headers: { Authorization: `Bearer ${token}`, "Idempotency-Key": idempotencyKey, "Content-Type": "application/json" },
body: JSON.stringify({
"outcome": "borrower_reached",
"note": "Promise terms captured."
}),
});
requests.post(
f"https://sandbox.api.lendeasy.ai/v1/servicing/tasks/{task_id}/complete",
headers={"Authorization": f"Bearer {token}", "Idempotency-Key": idempotency_key},
json={
"outcome": "borrower_reached",
"note": "Promise terms captured."
},
)
{
"taskId": "task_HBR_CALL_8",
"status": "completed",
"version": 3
}
{
"type": "https://docs.lendeasy.ai/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"code": "unauthorized",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/forbidden",
"title": "Forbidden",
"status": 403,
"code": "forbidden",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/version_conflict",
"title": "Version Conflict",
"status": 409,
"code": "version_conflict",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/validation_error",
"title": "Validation Error",
"status": 422,
"code": "validation_error",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/rate_limited",
"title": "Rate Limited",
"status": 429,
"code": "rate_limited",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}